﻿using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Wicture.DbRESTFul.Infrastructure.Repository;

namespace Wicture.DbRESTFul.PMT.Controllers
{
    [Route("dbrestful/devtool/csi")]
    public class CsiSyncController : Controller
    {
        private readonly DbRESTFulRepository _repository;

        public CsiSyncController(DbRESTFulRepository repository)
        {
            _repository = repository;
        }

        [HttpGet]
        [Route("sync")]
        public async Task<object> SyncAllCSIs(int projectId, int? moduleId)
        {
            if (projectId < 1) throw new ArgumentException(nameof(projectId));

            var param = moduleId != null ? JObject.FromObject(new { projectId, moduleId }) : JObject.FromObject(new { projectId });
            IEnumerable<dynamic> data = await _repository.InvokeAsync("ListCsiByModules", param);

            var result = new JObject();

            foreach (IEnumerable<dynamic> items in data.GroupBy(i => i.module))
            {
                var module = items.FirstOrDefault().module ?? "other";
                result[module] = JToken.FromObject(items);
            }

            return result;
        }
    }
}
