/*
Navicat MySQL Data Transfer

Source Server         : 139.196.37.201_wictureDev
Source Server Version : 50520
Source Host           : 139.196.37.201:3306
Source Database       : pmt

Target Server Type    : MYSQL
Target Server Version : 50520
File Encoding         : 65001

Date: 2016-08-30 18:39:28
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for api
-- ----------------------------
DROP TABLE IF EXISTS `api`;
CREATE TABLE `api` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '接口标识',
  `projectId` int(11) DEFAULT NULL COMMENT '项目标识',
  `name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '接口名称',
  `owner` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '负责人',
  `version` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '版本',
  `module` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '所属模块',
  `url` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '相对路由地址',
  `useAbsoluteUrl` bit(1) DEFAULT NULL COMMENT '是否使用绝对访问路径',
  `method` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'HTTP请求方法',
  `title` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '接口标题',
  `summary` varchar(300) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '接口描述',
  `allowAnonymous` bit(1) DEFAULT NULL COMMENT '是否允许匿名访问',
  `cache` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '缓存设置',
  `note` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '接口备注',
  `implemented` bit(1) DEFAULT NULL COMMENT '接口是否实现',
  `implementation` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '接口实现说明',
  `parameter` text COLLATE utf8_unicode_ci COMMENT '接口参数定义',
  `result` text COLLATE utf8_unicode_ci COMMENT '接口返回值定义',
  `mock` text COLLATE utf8_unicode_ci COMMENT '接口模拟数据定义',
  `updatedTime` int(10) DEFAULT NULL,
  `ownerId` int(11) DEFAULT NULL,
  `createdBy` int(11) DEFAULT NULL,
  `updatedBy` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=546 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='接口信息表';

-- ----------------------------
-- Table structure for csi
-- ----------------------------
DROP TABLE IF EXISTS `csi`;
CREATE TABLE `csi` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'csi标识',
  `projectId` int(11) DEFAULT NULL COMMENT '项目标识',
  `name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'csi名称',
  `code` text COLLATE utf8_unicode_ci COMMENT 'csi代码',
  `resultSet` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'csi结果集定义',
  `readOnly` bit(1) DEFAULT NULL COMMENT '是否只读',
  `requiredTransaction` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '是否需要事务支持',
  `middleWare` text COLLATE utf8_unicode_ci COMMENT 'csi的中间件支持',
  `createdBy` int(11) DEFAULT NULL,
  `updatedTime` int(11) DEFAULT NULL,
  `updatedBy` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='csi信息表';

-- ----------------------------
-- Table structure for project
-- ----------------------------
DROP TABLE IF EXISTS `project`;
CREATE TABLE `project` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '项目标识',
  `name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '项目名称',
  `description` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '项目描述',
  `createdBy` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '创建人',
  `connectionString` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT '数据库链接字符串',
  `intromarkdown` text COLLATE utf8_unicode_ci,
  `introduction` text COLLATE utf8_unicode_ci COMMENT '项目简介',
  `createdTime` int(10) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='项目信息表';

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nickname` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(126) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` bit(1) DEFAULT NULL,
  `updatedTime` int(11) DEFAULT NULL,
  `privilege` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
