﻿using System.Collections.Generic;

namespace Wicture.DbRESTFul.PMT.Models
{
    public class ACIModels
    {
    }

    public class Parameter
    {
        public string name { get; set; }
        public string type { get; set; }
        public bool nullable { get; set; } = false;
        public string description { get; set; }
    }
    public class ApiCreateData
    {
        public bool allowAnonymous { get; set; } = false;
        public string Cache { get; set; } = "{\"enabled\":false,\"type\":\"redis\",\"expiration\":300}";
        public string implementation { get; set; }
        public bool implemented { get; set; } = true;
        public string method { get; set; }
        public string mock { get; set; } = "[]";
        public string module { get; set; }
        public int moduleId { get; set; }
        public string Name { get; set; }
        public string note { get; set; }
        public string owner { get; set; }
        public string parameter { get; set; }
        public int projectId { get; set; }
        public string result { get; set; }
        public string summary { get; set; }
        public string title { get; set; }
        public string url { get; set; }
        public bool useAbsoluteUrl { get; set; } = false;
        public string version { get; set; } = "1.0.0";
        public string protocol { get; set; }
        public bool deprecated { get; set; } = false;
    }

    public class CsiCreateData
    {
        public string code { get; set; } = "";
        public bool isCodeObject { get; set; } = false;
        public string middleWares { get; set; } = "{}";
        public int moduleId { get; set; }
        public string module { get; set; }
        public string name { get; set; }
        public bool queryOnly { get; set; }
        public int projectId { get; set; }
        public string rawCode { get; set; }
        public bool requiredTransaction { get; set; }
        public string resultSet { get; set; }
    }

    public class Module
    {
        public int ModuleId { get; set; }
        public string ModuleName { get; set; }
    }
    public class Methods
    {
        public Method Title { get; set; }
    }
    public enum Method
    {
        Get,
        List,
        Create,
        Update,
        Delete
    }
    public class ACIData
    {
        public string TableName { get; set; }
        public string ColumnName { get; set; }
        public string Key { get; set; }
    }

    public class DefaultACIColumn
    {
        public string title { get; set; }
        public string table { get; set; }
        public string name { get; set; }
        public string type { get; set; }
        public string description { get; set; }
        public string @default { get; set; }
        public bool primary_key { get; set; }
        public bool nullable { get; set; }
    }

    public class DefaultACITable
    {
        public string title { get; set; }
        public string name { get; set; }
        public string description { get; set; }

        public List<DefaultACIColumn> columns { get; set; }
    }
}
