﻿using Newtonsoft.Json.Linq;
using System;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using Wicture.DbRESTFul.Infrastructure.Repository;

namespace Wicture.DbRESTFul.PMT.Repositories
{
    public class UserRepository : DbRESTFulRepository
    {
        public async Task<object> CreateUser(JToken param)
        {
            using var md5 = MD5.Create();
            var password = md5.ComputeHash(Encoding.UTF8.GetBytes(param.Value<string>("password")));
            param["password"] = Convert.ToBase64String(password);

            var user = await base.InvokeAsync("GetUser", new { name = param.Value<string>("name") });
            if (user != null)
            {
                return new { id = 0 };
            }

            return await base.InvokeAsync("CreateUser", param);
        }

        public async Task<object> UpdateUser(JToken param)
        {
            if (param.Value<string>("password") != null && param.Value<string>("password") != "")
            {
                using var md5 = MD5.Create();
                var password = md5.ComputeHash(System.Text.Encoding.UTF8.GetBytes(param.Value<string>("password")));
                param["password"] = Convert.ToBase64String(password);
            }

            return await base.InvokeAsync("UpdateUser", param);
        }

        public async Task<object> SetUserPasswrod(JToken param)
        {
            using var md5 = MD5.Create();
            var password = md5.ComputeHash(Encoding.UTF8.GetBytes(param.Value<string>("password")));
            var user = await base.InvokeAsync("GetUser", new { id = Context.Identity.Id });
            if (user.password == Convert.ToBase64String(password))
            {
                var newPassword = Convert.ToBase64String(md5.ComputeHash(Encoding.UTF8.GetBytes(param.Value<string>("newPassword"))));

                await base.InvokeAsync("SetUserPassword", new { id = Context.Identity.Id, password = newPassword });
                return JToken.FromObject(new { count = 1 });//修改成功
            }
            return JToken.FromObject(new { count = 0 });//原密码不正确
        }

        public async Task<UserIdentity> GetUserIdentity(string username, string password, string tag = null)
        {
            using var md5 = MD5.Create();
            var pwd = md5.ComputeHash(Encoding.UTF8.GetBytes(password));

            var user = await base.InvokeAsync("LoginUser", new { username, password = Convert.ToBase64String(pwd) });
            if (user != null)
            {
                return new UserIdentity { Id = user.id.ToString(), Name = user.name, Alias = user.nickname, Role = user.roleName };
            }

            return null;
        }
    }
}
