/*
 Navicat Premium Data Transfer

 Source Server         : default.91qpzs.com
 Source Server Type    : MySQL
 Source Server Version : 50722
 Source Host           : db.91qpzs.com:3306
 Source Schema         : pmt

 Target Server Type    : MySQL
 Target Server Version : 50722
 File Encoding         : 65001

 Date: 26/09/2018 12:53:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for api
-- ----------------------------
DROP TABLE IF EXISTS `api`;
CREATE TABLE `api`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '接口标识',
  `projectId` int(11) NULL DEFAULT NULL COMMENT '项目标识',
  `name` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '接口名称',
  `owner` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '负责人',
  `version` varchar(16) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '版本',
  `module` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '所属模块',
  `moduleId` int(11) NULL DEFAULT NULL,
  `url` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '相对路由地址',
  `method` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'HTTP请求方法',
  `title` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '接口标题',
  `summary` varchar(300) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '接口描述',
  `cache` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
  `allowAnonymous` bit(1) NULL DEFAULT b'0',
  `useAbsoluteUrl` bit(1) NULL DEFAULT b'0',
  `note` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '接口备注',
  `implemented` bit(1) NULL DEFAULT b'0' COMMENT '接口是否实现',
  `implementation` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '接口实现说明',
  `parameter` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '接口参数定义',
  `result` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '接口返回值定义',
  `mock` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '接口模拟数据定义',
  `updatedTime` int(10) NULL DEFAULT NULL,
  `ownerId` int(11) NULL DEFAULT NULL,
  `errorCode` varchar(2500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
  `createdBy` int(11) NULL DEFAULT NULL,
  `updatedBy` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1131 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '接口信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for csi
-- ----------------------------
DROP TABLE IF EXISTS `csi`;
CREATE TABLE `csi`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'cci标识',
  `projectId` int(11) NULL DEFAULT NULL COMMENT '项目标识',
  `name` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'cci名称',
  `code` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT 'cci代码',
  `isCodeObject` bit(1) NULL DEFAULT b'0' COMMENT 'code是否是对象类型',
  `rawCode` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL,
  `resultSet` varchar(16) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'cci结果集定义',
  `module` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '所属模块',
  `moduleId` int(11) NULL DEFAULT NULL,
  `queryOnly` bit(1) NULL DEFAULT NULL COMMENT '是否只读',
  `requiredTransaction` bit(1) NULL DEFAULT NULL COMMENT '是否需要事务支持',
  `middleWares` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT 'cci的中间件支持',
  `createdBy` int(11) NULL DEFAULT NULL,
  `updatedTime` int(11) NULL DEFAULT NULL,
  `updatedBy` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1468 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = 'CSI信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for module
-- ----------------------------
DROP TABLE IF EXISTS `module`;
CREATE TABLE `module`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `projectId` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 113 CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for project
-- ----------------------------
DROP TABLE IF EXISTS `project`;
CREATE TABLE `project`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '项目标识',
  `name` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '项目名称',
  `description` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '项目描述',
  `createdBy` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `connectionString` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据库链接字符串',
  `intromarkdown` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL,
  `introduction` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '项目简介',
  `createdTime` int(10) NULL DEFAULT NULL COMMENT '创建时间',
  `databaseType` tinyint(4) NULL DEFAULT 0 COMMENT '0:MYSQL;1:SQL SERVER;',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 42 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '项目信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for role
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '用户角色表',
  `name` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `isActive` bit(1) NULL DEFAULT b'0',
  `displayOrder` int(11) NULL DEFAULT NULL,
  `description` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '用户角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '用户信息表',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
  `nickname` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
  `password` varchar(126) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `enabled` bit(1) NULL DEFAULT NULL,
  `updatedTime` int(11) NULL DEFAULT NULL,
  `privilege` int(11) NULL DEFAULT NULL,
  `roleId` int(11) NULL DEFAULT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;

-- name: admin, password:123456
INSERT INTO `pmt`.`user`(`id`, `name`, `nickname`, `password`, `enabled`, `updatedTime`, `privilege`, `roleId`) VALUES (1, 'admin', 'PMT-Admin', '4QrcOUm6Wau+VuBX8g+IPg==', b'1', 1479818022, 0, 1);

