﻿using Newtonsoft.Json.Linq;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Authentication
{
    public interface IUserIdentifier
    {
        /// <summary>
        /// Login to get IdentityInfo.
        /// </summary>
        /// <returns></returns>
        Task<UserIdentity> IdentifyAsync(string username, string password, JToken param, ExecutionContext execContext);

        /// <summary>
        /// Verify the user is authorized to access some resource base on the specific bussiness logic.
        /// </summary>
        Task AuthorizeAsync(ExecutionContext context);
    }
}
