﻿using System;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Authentication
{
    /// <summary>
    /// Provides validating ability for identity state.
    /// </summary>
    public interface IIdentityStateManager
    {
        bool Enabled { get; }

        /// <summary>
        /// Validates the identity state.
        /// </summary>
        Task ValidateStateAsync(UserIdentity identity);

        /// <summary>
        /// Update the identity state.
        /// </summary>
        Task UpdateStateAsync(UserIdentity identity, TimeSpan expires);

        /// <summary>
        /// Forcely to invalidate the identity state.
        /// </summary>
        Task InvalidateStateAsync(UserIdentity identity, string source);
    }
}
