﻿using System;
using System.Security.Cryptography;
using System.Text;

namespace Wicture.DbRESTFul.Authentication
{
    public class PasswordProvider : IPasswordProvider
    {
        public string ProvideSalt(int size)
        {
            using var rng = new RNGCryptoServiceProvider();
            var bytes = new Byte[size];
            rng.GetBytes(bytes);
            return Convert.ToBase64String(bytes);
        }

        public string HashPassword(string password, string salt)
        {
            byte[] bytes = Encoding.UTF8.GetBytes(password + salt);
            using SHA256Managed sHA256ManagedString = new SHA256Managed();
            return Convert.ToBase64String(sHA256ManagedString.ComputeHash(bytes));
        }

        public bool AreEqual(string password, string hashedPassword, string salt)
        {
            string code = HashPassword(password, salt);
            return code.Equals(hashedPassword);
        }

        public string ComputeMD5Hash(string password)
        {
            using var md5 = MD5.Create();
            return Convert.ToBase64String(md5.ComputeHash(Encoding.UTF8.GetBytes(password)));
        }
    }
}
