﻿using Newtonsoft.Json.Linq;
using System.Linq;
using Wicture.DbRESTFul.Configuration;

namespace Wicture.DbRESTFul.Cache
{
    public class CacheSectionConfig : ListSectionConfigBase<CacheSetting>
    {
        public override string SectionName => "CacheConfigs";

        public RedisCacheConfig GetRedisConfig()
        {
            var cfg = Items?.FirstOrDefault(c => c.Type == "redis");
            if (cfg != null)
            {
                if (cfg.Config.Type == JTokenType.Object)
                {
                    return cfg.Config.ToObject<RedisCacheConfig>();
                }
            }

            return null;
        }
    }

    public class CacheSetting
    {
        public string Type { get; set; }
        public JObject Config { get; set; }
    }

    public class RedisCacheConfig
    {
        public string ConnectionString { get; set; }

        public string[] Sentinels { get; set; }
    }
}
