﻿namespace Wicture.DbRESTFul.Configuration
{
    /// <summary>
    /// DbRESTFul support two configuration types:
    ///     1. Section base configuration for complex structure and custom type, usually loaded once at application startup or first initialization.
    ///     2. Variables for simple K-V style configuration, usually get when needed.
    ///  Section base configuration should always implement <see cref="Wicture.DbRESTFul.Configuration.ISectionConfig"/>, so that when the configuration 
    ///  changed at runtime, it could be updated by the implementation of OnUpdate.
    /// </summary>
    public interface ISectionConfig
    {
        string SectionName { get; }
        void Load();
    }
}
