﻿using System.Collections.Generic;

namespace Wicture.DbRESTFul.Configuration
{
    public abstract class ListSectionConfigBase<T> : ISectionConfig
       where T : class
    {
        public abstract string SectionName { get; }

        public List<T> Items { get; private set; } = new List<T>();

        public virtual void Load()
        {
            // Default implementation for ISectionConfig.
            if (ConfigurationManager.Settings?.Document?.ContainsKey(SectionName) != true)
            {
                LoggerManager.Logger.Warn($"The {SectionName} is not found for {typeof(T).Name}.");
                return;
            }

            Items = ConfigurationManager.Settings.GetConfigOrDefault<List<T>>(SectionName);
        }
    }
}
