﻿using Microsoft.Extensions.Logging;
using System;

namespace Wicture.DbRESTFul.Configuration
{
    public abstract class ObjectSectionConfigBase<T> : ISectionConfig
        where T : class
    {
        public abstract string SectionName { get; }
        
        public virtual void Load()
        {
            // Default implementation for ISectionConfig.
            if (ConfigurationManager.Settings?.Document?.ContainsKey(SectionName) != true)
            {
                LoggerManager.Logger.Warn($"The {SectionName} is not found for {typeof(T).Name}.");
                return;
            }

            var raw = ConfigurationManager.Settings.GetConfigOrDefault<T>(SectionName);
            raw.CopyPropertiesTo(this as T);
        }
    }
}
