﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;

namespace Wicture.DbRESTFul
{
    public class Settings
    {
        public Dictionary<string, string> Variables { get; set; }

        /// <summary>
        /// The raw document of config.json, passing to other loader for specific configuration.
        /// </summary>
        public JObject Document { get; set; }

        public T GetConfig<T>(string sectionName)
        {
            try
            {
                return Document.Value<JToken>(sectionName).ToObject<T>();
            }
            catch (Exception ex)
            {
                throw new Exception($"Section: {sectionName} is not found.", ex);
            }
        }

        public T GetConfigOrDefault<T>(string sectionName)
        {
            try
            {
                return Document.Value<JToken>(sectionName).ToObject<T>();
            }
            catch
            {
                if (typeof(T).IsClass)
                {
                    return Activator.CreateInstance<T>();
                }

                return default(T);
            }
        }
    }
}
