﻿using System.Linq;
using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Infrastructure
{
    partial class DbRESTFulApiMiddleware
    {
        private readonly RequestDelegate next;

        private IRequestHandler[] requestHandlers;

        public DbRESTFulApiMiddleware(RequestDelegate next, IRequestHandler[] requestHandlers)
        {
            this.next = next;
            this.requestHandlers = requestHandlers.OrderBy(e => e.Order).ToArray();
        }

        public async Task Invoke(HttpContext context)
        {
            context.Response.Headers["Access-Control-Max-Age"] = "86400";

            var execContext = new HttpApiExecutionContext { HttpContext = context };
            
            var handled = false;
            foreach (var handler in requestHandlers)
            {
                if (await handler.Handle(execContext))
                {
                    handled = true;
                    break;
                }
            }

            if (!handled) await next.Invoke(context);
        }
    }
}
