﻿using Autofac;
using System.Threading.Tasks;
using Wicture.DbRESTFul.Cache;
using Wicture.DbRESTFul.Infrastructure.Repository;
using Wicture.DbRESTFul.Resources;
using Wicture.DbRESTFul.Resources.Api;

namespace Wicture.DbRESTFul.Infrastructure.Executors
{
    public class CsiExecutor : IExecutor
    {
        public ImplementationType ImplementationType => ImplementationType.Csi;

        public async Task<object> ExecuteAsync(ExecutionContext context)
        {
            using (var scope = AutofacContainer.Container.BeginLifetimeScope())
            {
                var repository = scope.Resolve<DbRESTFulRepository>();
                repository.Context = context;
                repository.ResourceManager = scope.Resolve<IResourceManager>();
                repository.ConnectionManager.Resolve(context);

                return await repository.InvokeAsync(context.Api.implementation.name, context.Param);
            }
        }
    }
}
