﻿using Microsoft.Extensions.DependencyInjection;
using Wicture.DbRESTFul.Configuration;

namespace Wicture.DbRESTFul
{
    public static class DbRESTFulServiceCollectionExtensions
    {
        /// <summary>
        /// Add DbRESTFul services to the specified Microsoft.Extensions.DependencyInjection.IServiceCollection.
        /// </summary>
        public static IServiceCollection AddDbRESTFul(this IServiceCollection services, string configFilePath = "appsettings.json")
        {
            services.AddMvc(opt => opt.EnableEndpointRouting = false).AddNewtonsoftJson();

            // 1. Load Configuration
            ConfigurationManager.Load(configFilePath);
            
            return services;
        }
    }
}
