﻿using Microsoft.Extensions.Logging;
using System;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Infrastructure.Filters
{
    public class DefaultExceptionFilter : IExceptionFilter
    {
        private readonly ILogger logger;

        public DefaultExceptionFilter(ILoggerFactory loggerFactory)
        {
            logger = loggerFactory.CreateLogger("DbRESTFulApi");
        }

        public async Task OnException(ExecutionContext context)
        {
            logger.LogError($"Exception occured when executing api: `{context.Api.name}`. {Environment.NewLine} {context.Exception}");
            await Task.CompletedTask;
        }
    }
}
