﻿using System.Threading.Tasks;
using Wicture.DbRESTFul.Infrastructure.Repository.Middlewares;

namespace Wicture.DbRESTFul.Infrastructure.Filters
{
    public interface IFilterInvoker
    {
        Task InvokeAuthorizeFilterAsync(ExecutionContext executionContext);
        Task InvokeApiExecutingFiltersAsync(ExecutionContext executionContext);
        Task InvokeApiExceptionFiltersAsync(ExecutionContext executionContext);
        Task InvokeApiMockFilterAsync(ExecutionContext executionContext);
        Task InvokeApiResultFilterAsync(ExecutionContext executionContext);
        Task InvokeApiExecutedFiltersAsync(ExecutionContext executionContext);


        Task InvokeCsiInvokingFiltersAsync(InvokeContext invokeContext);
        Task InvokeCsiInvokedFiltersAsync(InvokeContext invokeContext);

        Task ProcessCsiMiddlewareAsync(InvokeContext context, ActivePosition position);
    }
}