﻿using System.Collections.Generic;
using Microsoft.AspNetCore.Http;

namespace Wicture.DbRESTFul.Infrastructure
{
    public class HttpApiExecutionContext : ExecutionContext
    {
        public HttpContext HttpContext { get; set; }

        /// <summary>
        /// 用于存放从Header中取出的一些公共数据
        /// </summary>
        public Dictionary<string, string> CustomFields { get; set; } = new Dictionary<string, string>();

        public Dictionary<string, string> QueryParams { get; set; } = new Dictionary<string, string>();

        /// <summary>
        /// 请求体文本内容（除了Form方式请求）
        /// </summary>
        public string BodyContent { get; set; }

        /// <summary>
        /// 如果请求是Form方式，则Form中的值存在此字典中，而非BodyContent
        /// </summary>
        public Dictionary<string, List<string>> FormParams { get; set; }
    }
}
