﻿using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Infrastructure.Handlers
{
    public class DefaultRequestHendler : IRequestHandler
    {
        private readonly IDefaultRequestProcessor _defaultRequestProcessor;

        public DefaultRequestHendler(IDefaultRequestProcessor defaultRequestProcessor)
        {
            _defaultRequestProcessor = defaultRequestProcessor;
        }

        public int Order { get; set; } = 100;

        public async Task<bool> Handle(HttpApiExecutionContext execContext)
        {
            if (execContext.HttpContext.Request.Path.Value.Equals("/"))
            {
                await _defaultRequestProcessor.Process(execContext);
                return true;
            }

            return false;
        }
    }
}
