﻿using Microsoft.AspNetCore.Http;
using Newtonsoft.Json;
using System;
using System.IO;
using System.Reflection;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Infrastructure.Handlers
{
    public class DefaultRequestProcessor : IDefaultRequestProcessor
    {
        private readonly static DateTime startedTime = DateTime.Now;
        private readonly static Guid guid = Guid.NewGuid();

        public async Task Process(HttpApiExecutionContext execContext)
        {
            var context = execContext.HttpContext;
            var application = Path.GetFileNameWithoutExtension(Assembly.GetEntryAssembly().ManifestModule.Name);
            context.Response.Headers["Content-Type"] = "application/json";
            await context.Response.WriteAsync(JsonConvert.SerializeObject(new
            {
                application,
                guid,
                requestUrl = $"{context.Request.Scheme}://{context.Request.Host}/{context.Request.QueryString}",
                status = "Running",
                startedAt = startedTime,
                serverTime = DateTime.Now
            }, Formatting.Indented));
        }
    }
}
