﻿using Grpc.Core;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace Wicture.DbRESTFul.Infrastructure
{
    public class RpcApiExecutionContext : ExecutionContext
    {
        public RpcRequest Request { get; private set; }

        public ServerCallContext CallContext { get; set; }

        public RpcApiExecutionContext(RpcRequest request, ServerCallContext context)
        {
            Request = request;
            CallContext = context;
            Param = JToken.Parse(string.IsNullOrEmpty(Request.Params) || Request.Params == "null" ? "{}" : Request.Params);
            Identity = string.IsNullOrEmpty(request.Identity) ? UserIdentity.Anonymous : JsonConvert.DeserializeObject<UserIdentity>(request.Identity);
        }

        public string GetRequestInfo()
        {
            return JsonConvert.SerializeObject(new
            {
                CallContext.Host,
                CallContext.Peer,
                Request.ServiceName,
                Request.ApiName
            });
        }
    }
}
