﻿using Newtonsoft.Json.Linq;
using System;
using System.Threading;
using Wicture.DbRESTFul.Resources.Api;

namespace Wicture.DbRESTFul
{
    public abstract class ExecutionContext
    {
        public ApiModel Api { get; set; }
        public DateTime StartedAt { get; private set; }
        public CancellationTokenSource CancellationTokenSource { get; set; }
        public Exception Exception { get; set; }

        public JToken Param { get; set; }
        public object ExecutionResult { get; set; }
        public UserIdentity Identity { get; set; }
        public StandardResult ComposedResult { get; set; }

        public ExecutionContext()
        {
            StartedAt = DateTime.Now;
            CancellationTokenSource = new CancellationTokenSource();
        }
    }
}
