﻿using Wicture.DbRESTFul.Resources.Csi;

namespace Wicture.DbRESTFul.Infrastructure.Repository
{
    public interface IDbConnectionRouter
    {
        /// <summary>
        /// Provides an ability to resolve DbConnection based on the ExecutionContext.
        /// Generally, routing to different database.
        /// </summary>
        DbConnection Resolve(ExecutionContext executionContext);

        /// <summary>
        /// The default DbConnection.
        /// </summary>
        DbConnection DefaultDbConnection { get; }
    }
}
