﻿using Wicture.DbRESTFul.Configuration;
using Wicture.DbRESTFul.Resources.Csi;

namespace Wicture.DbRESTFul.Infrastructure.Repository
{
    public class SimpleDbConnectionRouter : IDbConnectionRouter
    {
        public SimpleDbConnectionRouter(ISectionConfigProvider sectionConfigProvider)
        {
            var csiConfig = sectionConfigProvider.Provide<CsiSectionConfig>();
            DefaultDbConnection = csiConfig.DbConnection;
        }

        public DbConnection DefaultDbConnection { get; }

        public DbConnection Resolve(ExecutionContext executionContext)
        {
            return DefaultDbConnection;
        }
    }
}
