﻿using Wicture.DbRESTFul.Configuration;

namespace Wicture.DbRESTFul.Resources.Api
{
    public class ApiSectionConfig : ObjectSectionConfigBase<ApiSectionConfig>
    {
        public override string SectionName => "API";

        public bool ShowFullException { get; set; }
        public string Path { get; set; }
        public string Prefix { get; set; }

        private ApiLogConfig logConfig;
        public ApiLogConfig LogConfig
        {
            get { return logConfig ?? ApiLogConfig.Default; }
            set { logConfig = value; }
        }
    }

    public class ApiLogConfig
    {
        public static ApiLogConfig Default { get; } = new ApiLogConfig
        {
            WellFormat = true,
            Exception = true,
            Identity = true,
            Param = true,
            Result = true,
            Token = true
        };

        public bool WellFormat { get; set; }
        public bool Exception { get; set; }
        public bool Token { get; set; }
        public bool Identity { get; set; }
        public bool Param { get; set; }
        public bool Result { get; set; }
    }
}
