﻿using Wicture.DbRESTFul.Configuration;

namespace Wicture.DbRESTFul.Resources.Csi
{
    public class CsiSectionConfig : ObjectSectionConfigBase<CsiSectionConfig>
    {
        public override string SectionName => "CSI";

        public string Path { get; set; }

        public DbConnection DbConnection { get; set; }

        private CSILogConfig logConfig;
        public CSILogConfig LogConfig
        {
            get { return logConfig ?? CSILogConfig.Default; }
            set { logConfig = value; }
        }
    }

    public class DbConnection
    {
        public DatabaseType DatabaseType { get; set; }
        public string ReadConnectionString { get; set; }
        public string WriteConnectionString { get; set; }
        public int CommandTimeout { get; set; }
    }

    public class CSILogConfig
    {
        public static CSILogConfig Default = new CSILogConfig
        {
            Code = true,
            Param = true,
            Result = false
        };

        public bool Code { get; set; }
        public bool Param { get; set; }
        public bool Result { get; set; }
    }
    
    public enum DatabaseType
    {
        MySQL,
        SQLServer,
        Postgres
    }
}