﻿using System;
using System.Collections.Generic;
using Wicture.DbRESTFul.Resources.Api;
using Wicture.DbRESTFul.Resources.Csi;
using Wicture.DbRESTFul.Resources.Repository;

namespace Wicture.DbRESTFul.Resources
{
    public interface IResourceManager
    {
        Dictionary<string, ApiModel> Apis { get; }

        Dictionary<string, CsiModel> Csis { get; }

        Dictionary<string, RepositoryModel> Repositories { get; }

        void LoadAll();

        void LoadApi();

        void LoadCsi();

        event EventHandler<ResourceLoadedEventArgs> OnLoaded;
    }

    public class ResourceLoadedEventArgs : EventArgs
    {
        public Type ResourceType { get; set; }
    }
}
