﻿using Wicture.DbRESTFul.Infrastructure;

namespace Wicture.DbRESTFul.Rpc.Client
{
    /// <summary>
    /// SimpleRpcServiceRouter resolves the serviceName and apiName from `Api.implementation.name`, simple rule: `ServiceName.Namespace.ApiName`
    ///     => ServiceName.Namespace as the actual serviceName
    ///     => ApiName as the actual apiName
    /// </summary>
    public class SimpleRpcServiceRouter : IRpcServiceRouter
    {
        public RouteResult Resolve(ExecutionContext executionContext)
        {
            var implementationName = executionContext.Api.implementation.name;
            return new RouteResult
            {
                ApiName = implementationName.Substring(implementationName.LastIndexOf('.') + 1),
                ServiceName = implementationName.Substring(0, implementationName.LastIndexOf('.'))
            };
        }
    }
}
