﻿using Newtonsoft.Json;
using Wicture.DbRESTFul.Infrastructure;

namespace Wicture.DbRESTFul.Rpc.Client
{
    public class RpcAuthorization
    {
        public RpcAuthorization(ExecutionContext executionContext)
        {
            Identity = string.IsNullOrEmpty(executionContext.Identity.Id) ? string.Empty : JsonConvert.SerializeObject(executionContext.Identity);

            if (string.IsNullOrEmpty(Identity) && executionContext is HttpApiExecutionContext httpApiExecutionContext)
            {
                var rawToken = httpApiExecutionContext.HttpContext.Request.Headers["Authorization"].ToString();
                Token = rawToken?.Length > 7 ? rawToken.Substring(7) : string.Empty;
            }
        }

        public string Token { get; set; }
        public string Identity { get; set; }
    }
}
